[SciPy-dev] numpy 1.4 rc1 conflict with icc 11.1

David Cournapeau cournape@gmail....
Wed Dec 2 14:55:10 CST 2009


On Thu, Dec 3, 2009 at 5:10 AM, Forrest Sheng Bao <forrest.bao@gmail.com> wrote:
> Hi there, I just tried to setup numpy 1.4 rc1 with icc 11.1 and I got the
> error below during compilation:
>
>
> compilation aborted for
> build/src.linux-x86_64-2.4/numpy/core/src/npymath/npy_math.c (code 2)
> error: Command "icc -fno-strict-aliasing -DNDEBUG -O2 -g -pipe -Wall
> -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
> --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fPIC
> -Inumpy/core/include -Ibuild/src.linux-x86_64-2.4/numpy/core/include/numpy
> -Inumpy/core/src/private -Inumpy/core/src -Inumpy/core
> -Inumpy/core/src/npymath -Inumpy/core/src/multiarray -Inumpy/core/src/umath
> -Inumpy/core/include -I/usr/include/python2.4
> -Ibuild/src.linux-x86_64-2.4/numpy/core/src/multiarray
> -Ibuild/src.linux-x86_64-2.4/numpy/core/src/umath -c
> build/src.linux-x86_64-2.4/numpy/core/src/npymath/npy_math.c -o
> build/temp.linux-x86_64-2.4/build/src.linux-x86_64-2.4/numpy/core/src/npymath/npy_math.o"

we will need more info. I have just tried icc 11 on linux ia32,
against python 2.6, and it built without any issue.

Make sure to build from a clean tree,

David


More information about the SciPy-Dev mailing list